apiVersion: v1
kind: Pod
metadata:
  name: nginx
  namespace: nginx
  labels:
    name: nginx
spec:
  containers:
  - name: nginx
    image: nginx:1.19.3
    resources:
      limits:
        memory: "128Mi"
        cpu: "500m"
    ports:
      - containerPort: 80